USAGE:(1)

NAME
Usage: - Send arbitrary IP packets

SYNOPSIS
sendip [-v] [-d data] [-h] [-f datafile] [-p module] [module options] hostname

DESCRIPTION

-d data
    add this data as a string to the end of the packet Data can be: rN to generate N random(ish) data bytes; 0x or 0X followed by hex digits; 0 followed by octal digits; any other stream of bytes

-s options
    set socket options Valid options are: b (SO_BROADCAST) allow sending packets to broadcast addresses; i (IP_HDRINCL) (ON BY DEFAULT) include IP headers (expert use only!); 6 (IPV6_*) (ON BY DEFAULT) various options for setting ipv6 headers

-f datafile
    read packet data from file

-h  print this message

-p module
    load the specified module (see below)

-v  be verbose

Modules are loaded in the order the -p option appears. The headers from each module are put immediately inside the headers from the previous model in the final packet. For example, to embed bgp inside tcp inside ipv4, do sendip -p ipv4 -p tcp -p bgp ....

  Modules available at compile time:

    ipv4 ipv6 icmp tcp udp bgp rip ntp

-d data
    add this data as a string to the end of the packet Data can be: rN to generate N random(ish) data bytes; 0x or 0X followed by hex digits; 0 followed by octal digits; any other stream of bytes

-s options
    set socket options Valid options are: b (SO_BROADCAST) allow sending packets to broadcast addresses; i (IP_HDRINCL) (ON BY DEFAULT) include IP headers (expert use only!); 6 (IPV6_*) (ON BY DEFAULT) various options for setting ipv6 headers

-f datafile
    read packet data from file

-h  print this message

-p module
    load the specified module (see below)

-v  be verbose

Modules are loaded in the order the -p option appears. The headers from each module are put immediately inside the headers from the previous model in the final packet. For example, to embed bgp inside tcp inside ipv4, do sendip -p ipv4 -p tcp -p bgp ....

  Modules available at compile time:

    ipv4 ipv6 icmp tcp udp bgp rip ntp